Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Registry
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • GetByRegistry
        • Create
        • Update
        • Delete
  • Audit Trails events

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ScanPolicyOptions
  • ScanRules
  • PushRule
  • ScheduledRule
  1. API reference
  2. REST
  3. ScanPolicy
  4. Get

Yandex Cloud Registry API, REST: ScanPolicy.Get

Written by
Yandex Cloud
Updated at June 3, 2026
  • HTTP request
  • Path parameters
  • Response
  • ScanPolicyOptions
  • ScanRules
  • PushRule
  • ScheduledRule

Returns the specified scan policy.

HTTP requestHTTP request

GET https://registry.api.cloud.yandex.net/cloud-registry/v1/scanPolicies/{scanPolicyId}

Path parametersPath parameters

Field

Description

scanPolicyId

string

Required field. ID of the scan policy.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "registryId": "string",
  "name": "string",
  "description": "string",
  "scanPolicyOptions": {
    "scanLangPackages": "boolean"
  },
  "rules": {
    "pushRule": {
      "paths": [
        "string"
      ],
      "disabled": "boolean"
    },
    "scheduleRules": [
      {
        "amount": "string",
        "intervalUnit": "string",
        "paths": [
          "string"
        ],
        "disabled": "boolean"
      }
    ]
  },
  "createdAt": "string",
  "disabled": "boolean"
}

Field

Description

id

string

Output only. ID of the scan policy.

registryId

string

ID of the registry that the scan policy belongs to.
Required. The maximum string length in characters is 50.

name

string

Name of the scan policy.

description

string

Description of the scan policy.
The maximum string length in characters is 256.

scanPolicyOptions

ScanPolicyOptions

Scan policy options.

rules

ScanRules

The rules of scan policy.

createdAt

string (date-time)

Output only. Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

disabled

boolean

Turns off scan policy.

ScanPolicyOptionsScanPolicyOptions

Field

Description

scanLangPackages

boolean

Flag indicating whether language packages should be scanned.

ScanRulesScanRules

Field

Description

pushRule

PushRule

Description of on-push scan rule.

scheduleRules[]

ScheduledRule

Description of time based rescan rule.

PushRulePushRule

Field

Description

paths[]

string

List of paths that are scanned with rule. Child paths are included into parent node. "*" - means all artifacts in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be greater than 0.

disabled

boolean

Turns off scan rule.

ScheduledRuleScheduledRule

Field

Description

amount

string (int64)

Amount of time units for the scan interval.

Value must be greater than 0.

intervalUnit

enum (IntervalUnit)

Unit for the scan interval.

  • DAYS: Time unit is days.

paths[]

string

List of paths that are scanned with rule. Child paths are included into parent node. "*" - means all artifacts in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be in the range 1-1000.

disabled

boolean

Turns off scan rule.

Was the article helpful?

Previous
Overview
Next
GetByRegistry
© 2026 Direct Cursus Technology L.L.C.